package fr.eisti.ing1.mc.java.figures;
/**
 * interface Mesurable
 *
 * décrit une entité mesurable en 2D dont on peut mesurer :
 * 		- le périmètre
 *		- la surface
 *
 * @author Matthias Colin
 * @version 2.0 (03/05/2009)
 */
public interface Mesurable {
	
	/**
	 * obtenir le périmètre d'une entité mesurable
	 * @return le périmètre
	 */
	double perimetre();

	/**
	 * obtenir la surface d'une entité mesurable
	 * @return la surface
 	 */ 
	double surface();

}
